# ncurses 5.9 - patch 20110626 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20110626.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Mon Jun 27 00:36:16 UTC 2011
# ------------------------------------------------------------------------------
# NEWS                 |    7 ++++++-
# dist.mk              |    4 ++--
# include/term_entry.h |    3 +--
# progs/progs.priv.h   |    3 ++-
# 4 files changed, 11 insertions(+), 6 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.1726 
--- ncurses-5.9-20110625+/NEWS	2011-06-25 21:20:22.000000000 +0000
+++ ncurses-5.9-20110626/NEWS	2011-06-26 10:37:58.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.1726 2011/06/25 21:20:22 tom Exp $
+-- $Id: NEWS,v 1.1727 2011/06/26 10:37:58 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,11 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20110626
+	+ move include of nc_termios.h out of term_entry.h, since the latter
+	  is installed, e.g., for tack while the former is not (report by
+	  Sven Joachim).
+
 20110625
 	+ improve cleanup() function in lib_tstp.c, using _exit() rather than
 	  exit() and checking for SIGTERM rather than SIGQUIT (prompted by
Index: dist.mk
Prereq:  1.822 
--- ncurses-5.9-20110625+/dist.mk	2011-06-25 19:02:07.000000000 +0000
+++ ncurses-5.9-20110626/dist.mk	2011-06-26 09:32:11.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.822 2011/06/25 19:02:07 tom Exp $
+# $Id: dist.mk,v 1.823 2011/06/26 09:32:11 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20110625
+NCURSES_PATCH = 20110626
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: include/term_entry.h
Prereq:  1.38 
--- ncurses-5.9-20110625+/include/term_entry.h	2011-06-25 20:51:00.000000000 +0000
+++ ncurses-5.9-20110626/include/term_entry.h	2011-06-26 09:31:32.000000000 +0000
@@ -32,7 +32,7 @@
  *     and: Thomas E. Dickey                        1998-on                 *
  ****************************************************************************/
 
-/* $Id: term_entry.h,v 1.38 2011/06/25 20:51:00 tom Exp $ */
+/* $Id: term_entry.h,v 1.39 2011/06/26 09:31:32 tom Exp $ */
 
 /*
  *	term_entry.h -- interface to entry-manipulation code
@@ -46,7 +46,6 @@
 #endif
 
 #include <term.h>
-#include <nc_termios.h>
 
 #define MAX_USES	32
 #define MAX_CROSSLINKS	16
Index: progs/progs.priv.h
Prereq:  1.35 
--- ncurses-5.9-20110625+/progs/progs.priv.h	2011-04-23 22:33:09.000000000 +0000
+++ ncurses-5.9-20110626/progs/progs.priv.h	2011-06-26 09:31:22.000000000 +0000
@@ -30,7 +30,7 @@
  *  Author: Thomas E. Dickey                    1997-on                     *
  ****************************************************************************/
 /*
- * $Id: progs.priv.h,v 1.35 2011/04/23 22:33:09 tom Exp $
+ * $Id: progs.priv.h,v 1.36 2011/06/26 09:31:22 tom Exp $
  *
  *	progs.priv.h
  *
@@ -109,6 +109,7 @@
 
 #include <curses.h>
 #include <term_entry.h>
+#include <nc_termios.h>
 #include <tic.h>
 #include <nc_tparm.h>
 
